### Index

* [0 - Méta-listes](#0---méta-listes)
* [1 - Non dépendant du langage](#1---non-dépendant-du-langage)
  * [Algorithmique](#algorithmique)
  * [Logiciels libres](#logiciels-libres)
  * [Makefile](#makefile)
  * [Pédagogie pour enfants et adolescents](#pédagogie-pour-enfants-et-adolescents)
  * [Théorie des langages](#théorie-des-langages)
* [Ada](#ada)
* [Assembleur](#assembleur)
* [Bash / Shell](#bash--shell)
* [C / C++](#c--c)
* [Caml](#caml)
* [Coq](#coq)
* [CSS](#css)
* [Git](#git)
* [Haskell](#haskell)
* [Java](#java)
* [Javascript](#javascript)
* [jQuery](#jquery)
* [(La)TeX et associés](#latex-et-associés)
  * [Asymptote](#asymptote)
  * [LaTeX](#latex)
  * [Metapost](#metapost)
  * [PGF/TikZ](#pgftikz)
  * [TeX](#tex)
* [Lisp](#lisp)
* [Lua](#lua)
* [Meteor](#meteor)
* [Perl](#perl)
* [PHP](#php)
  * [Symfony](#symfony)
* [Processing](#processing)
* [Python](#python)
  * [Django](#django)
* [R](#r)
* [Ruby](#ruby)
* [Sage](#sage)
* [Scilab](#scilab)
* [Scratch](#scratch)
* [SPIP](#spip)
* [SQL](#sql)
* [Systèmes d'exploitation](#systemes-d-exploitation)
* [TEI](#TEI)
* [Vim](#vim)


### 0 - Méta-listes

* [Le SILO: Sciences du numérique &amp; Informatique au Lycée: Oui!](https://wiki.inria.fr/sciencinfolycee/Accueil)


### 1 - Non dépendant du langage

#### Algorithmique

* [Algorithmique](http://pauillac.inria.fr/~quercia/cdrom/cours/) - Michel Quercia
* [Complexité algorithmique](http://www.liafa.univ-paris-diderot.fr/~sperifel/livre_complexite.html) - Sylvain Perifel
* [Éléments d'algorithmique](http://www-igm.univ-mlv.fr/~berstel/Elements/Elements.pdf) - D. Beauquier, J. Berstel, et Ph. Chrétienne (PDF)
* [France-IOI](http://www.france-ioi.org)
* [Prologin](https://prologin.org)


#### Logiciels libres

* [Histoires et cultures du Libre](http://framabook.org/histoiresetculturesdulibre/)
* [Option libre. Du bon usage des licences libres](http://framabook.org/optionlibre-dubonusagedeslicenceslibres/) - Jean Benjamin
* [Produire du logiciel libre](http://framabook.org/produire-du-logiciel-libre-2/) - Karl Fogel
* [Richard Stallman et la révolution du logiciel libre](http://framabook.org/richard-stallman-et-la-revolution-du-logiciel-libre-2/) - R.M. Stallman, S. Williams et C. Masutti


#### Makefile

* [Concevoir un Makefile](http://icps.u-strasbg.fr/people/loechner/public_html/enseignement/GL/make.pdf) - Vincent Loechner d'après Nicolas Zin (PDF)
* [Introduction aux Makefile](http://eric.bachard.free.fr/UTBM_LO22/P07/C/Documentation/C/make/intro_makefile.pdf) (PDF)


#### Pédagogie pour enfants et adolescents

* [Activités débranchées](https://pixees.fr/?cat=612) Catalogue de ressource pour apprendre l'informatique sans ordinateur.
* [Apprendre l'informatique sans ordinateur](https://interstices.info/enseigner-et-apprendre-les-sciences-informatiques-a-lecole/) - Tim Bell, Ian H. Witten et Mike Fellows (traduit)


### Ada

* [Cours Ada](http://d.feneuille.free.fr/cours-ada-iut.zip) - Daniel Feneuille (Support d'un cours enseigné à l'IUT d'Aix-en-Provence) (ZIP)
* [Cours Ada 95 pour le programmeur C++](http://d.feneuille.free.fr/c++%20to%20ada%201.0a.pdf) - Quentin Ochem (PDF)


### Assembleur

* [PC Assembly Language](http://drpaulcarter.com/pcasm/) - Paul A. Carter


### Bash / Shell

* [Guide avancé d'écriture des scripts Bash](http://abs.traduc.org/abs-fr/)


### Caml

* [Le language Caml](http://caml.inria.fr)


### C / C++

* [Cours de C/C++](http://casteyde.christian.free.fr/cpp/cours/online/book1.html) - Christian Casteyde
* [Le C en 20 heures](http://framabook.org/le-c-en-20-heures-2/) - Eric Berthomier et Daniel Schang
* [Le langage C](https://zestedesavoir.com/tutoriels/755/le-langage-c-1/) - Informaticienzero, Taure, Paraze et Lucas-84


### Coq

* [Le Coq'Art (V8)](http://www.labri.fr/perso/casteran/CoqArt/) - Yves Bertot et Pierre Castéran


### CSS

* [Apprendre les mises en page CSS](http://fr.learnlayout.com)


### Git

* [Git Magic](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/fr/) - Alexandre Garel, Paul Gaborit et Nicolas Deram
* [Pro Git](http://www.git-scm.com/book/fr/v2) - Scott Chacon et Ben Straub


### Java

* [Développons en Java](http://www.jmdoudoux.fr/accueil_java.htm#dej) - Jean-Michel DOUDOUX (3400 pages!)
* [Java Programming for Kids, Parents and Grandparents](http://myflex.org/books/java4kids/java4kids.htm) - Yakov Fain
* [Play.Rules!](http://3monkeys.github.io/play.rules/)


### Javascript

* [Javascript Éloquent : Une introduction moderne à la programmation](http://fr.eloquentjavascript.net) - Marijn Haverbeke
* [Node.Js: Apprendre par la pratique](https://oncletom.io/node.js/#chapitres) - Thomas Parisot 


### jQuery

* [Apprendre jQuery](https://sutterlity.gitbooks.io/apprendre-jquery/content/) - Sutterlity Laurent


### Haskell

* [A Gentle Introduction to Haskell](http://gorgonite.developpez.com/livres/traductions/haskell/gentle-haskell/) - Paul Hudak, John Peterson et Joseph Fasel
* [Apprendre Haskell vous fera le plus grand bien !](http://lyah.haskell.fr)


### (La)TeX et associés

#### LaTeX

* [LaTeX... pour le prof de maths !](http://math.univ-lyon1.fr/irem/IMG/pdf/LatexPourLeProfDeMaths.pdf) - Arnaud Gazagnes (PDF)
* [Tout ce que vous avez toujours voulu savoir sur LaTeX sans jamais oser le demander](http://framabook.org/tout-sur-latex/) - Vincent Lozano
* [(Xe)LaTeX appliqué aux sciences humaines](http://geekographie.maieul.net/95) - Maïeul Rouquette


##### KOMA-Script

* [KOMA-Script, Typographie universelle avec XƎLaTeX](https://framabook.org/koma-script/) - Raymond Rochedieu (trad.) et Markus Kohm


#### Asymptote

* [Asymptote. Démarrage rapide](http://cgmaths.fr/cgFiles/Dem_Rapide.pdf) - Christophe Grospellier (PDF)


#### Metapost

* [Tracer des graphes avec Metapost](http://melusine.eu.org/syracuse/metapost/f-mpgraph.pdf) - John D. Hobby (PDF)
* [Un manuel de Metapost](http://melusine.eu.org/syracuse/metapost/f-mpman-2.pdf) - John D. Hobby (PDF)


#### PGF/TikZ

* [TikZ pour l'impatient](http://math.et.info.free.fr/TikZ/) - Gérard Tisseau et Jacques Duma


#### TeX

* [Apprendre à programmer en TeX](https://ctan.org/pkg/apprendre-a-programmer-en-tex) - Christian Tellechea
* [TeX pour l'Impatient](http://www.apprendre-en-ligne.net/LaTeX/teximpatient.pdf) - Paul Abrahams, Kathryn Hargreaves, and Karl Berry, trad. Marc Chaudemanche (PDF)


### Lisp

* [Introduction à la programmation en Common Lisp](http://www.algo.be/logo1/lisp/intro-lisp.pdf) - Francis Leboutte (PDF)
* [Traité de programmation en Common Lisp](http://dept-info.labri.fr/~strandh/Teaching/Programmation-Symbolique/Common/Book/HTML/programmation.html) - Robert Strandh et Irène Durand


### Lua

* [Introduction à la programmation Lua](http://www.luteus.biz/Download/LoriotPro_Doc/LUA/LUA_Training_FR/Introduction_Programmation.html)
* [Lua : le tutoriel](http://wxlua.developpez.com/tutoriels/lua/general/cours-complet/) - Claude Urban


### Meteor

* [Apprendre Meteor](https://mquandalle.gitbooks.io/apprendre-meteor/content/) - Maxime Quandalle


### Perl

* [Guide Perl - débuter et progresser en Perl](http://formation-perl.fr/guide-perl.html) - Sylvain Lhullier
* [La documentation Perl en français](http://perl.mines-albi.fr/DocFr.html)


### PHP

* [Cours de PHP 5](http://g-rossolini.developpez.com/tutoriels/php/cours/?page=introduction) - Guillaume Rossolini
* [Initiation au PHP](http://framasoft.net/IMG/pdf/initiation_php.pdf) - David Ducrocq (PDF)
* [Programmer en PHP](http://www.lincoste.com/ebooks/pdf/informatique/programmer_php.pdf) - Julien Gaulmin (PDF)


#### Symfony

* [En route pour Symfony 5](https://symfony.com/doc/5.0/the-fast-track/fr/index.html)


### Processing

* [Processing](https://fr.flossmanuals.net/processing/) - Œuvre collective (HTML)


### Python

* [Appendre à programmer avec Python](http://inforef.be/swi/python.htm) - Gerard Swinnen
* [Python](http://www.lincoste.com/ebooks/pdf/informatique/python.pdf) - Guido Van Rossum (PDF)
* [Une introduction à Python 3](https://perso.limsi.fr/pointal/python:courspython3) - Bob Cordeau et Laurent Pointal


#### Django

* [Tutoriel de Django Girls](https://tutorial.djangogirls.org/fr/) (1.11) (HTML)


### R

* [Introduction à la programmation en R](http://cran.r-project.org/doc/contrib/Goulet_introduction_programmation_R.pdf) - Vincent Goulet (PDF)


### Ruby

* [Ruby en vingt minutes](https://www.ruby-lang.org/fr/documentation/quickstart/)
* [Venir à Ruby après un autre language](https://www.ruby-lang.org/fr/documentation/ruby-from-other-languages/)


#### Ruby on Rails

* [Tutoriel Ruby on Rails : Apprendre Rails par l'exemple](http://french.railstutorial.org/chapters/beginning) - Michael Hartl


### Sage

* [Calcul mathématique avec Sage](https://hal.inria.fr/inria-00540485/file/sagebook-web-20130530.pdf) - A. Casamayou, N. Cohen, G. Connan, T. Dumont, L. Fousse, F. Maltey, M. Meulien, M. Mezzarobba, C. Pernet, N. M. Thiéry, P. Zimmermann (PDF)


### Scilab

* [Introduction à Scilab](http://forge.scilab.org/index.php/p/docintrotoscilab/downloads/) - Michaël Baudin, Artem Glebov, Jérome Briot


### Scratch

* [Informatique Créative](https://pixees.fr/programmation-creative-en-scratch/)


### SPIP

* [Programmer avec SPIP](http://programmer.spip.net) - Matthieu Marcimat et collectif SPIP


### SQL

* [Cours complet pour apprendre les différents types de bases de données et le langage SQL](https://sgbd.developpez.com/tutoriels/cours-complet-bdd-sql/) - Jacques Le Maitre
* [Only SQL. Tout ce que vous avez toujours voulu savoir sur les SGBD sans jamais avoir osé le demander.](https://framabook.org/not-only-sql/) - Vincent Lozano et Éric Georges


### Systèmes d'exploitation

* [Simple OS (SOS)](http://sos.enix.org/fr/SOSDownload) - David Decotigny et Thomas Petazzoni


### TEI

* [Qu'est-ce que la Text Encoding Initiative ?](http://books.openedition.org/oep/1237) - Lou Burnard, trad. par Marjorie Burghart


### Vim

* [Learn Vim Progressively](http://yannesposito.com/Scratch/fr/blog/Learn-Vim-Progressively/)
* [Vim pour les humains](https://vimebook.com/fr) - Vincent Jousse (le livre n'est pas **gratuit** mais **à prix libre**)
